Subject: Re: [Bugme-new] [Bug 11144] New: dhcp doesn't work with iwl4965

From: François Valenduc<[email-masked]>
Date: Wed, 23 Jul 2008 09:58:21 +0200

Andrew Morton a écrit :
> (switched to email.  Please respond via emailed reply-to-all, not via the
> bugzilla web interface).
>
> On Tue, 22 Jul 2008 03:21:33 -0700 (PDT) [email-masked] wrote:
>
>   
>> http://bugzilla.kernel.org/show_bug.cgi?id=11144
>>
>>            Summary: dhcp doesn't work with iwl4965
>>            Product: Networking
>>            Version: 2.5
>>      KernelVersion: 2.6.26-git7
>>           Platform: All
>>         OS/Version: Linux
>>               Tree: Mainline
>>             Status: NEW
>>           Severity: normal
>>           Priority: P1
>>          Component: Wireless
>>         AssignedTo: networking_wireless-ztI5WcYan/[email-masked]
>>         ReportedBy: [email-masked]
>>
>>
>> Latest working kernel version: 2.6.26-git6
>> Earliest failing kernel version: 2.6.26-git7
>>     
>
> A very fresh regression.
>
>   
>> Distribution: Gentoo
>> Hardware Environment: Packard Bell MB86, iwl4965
>> Software Environment: dhcpcd
>> Problem Description: 
>> I can't get an IP address via DHCP with my wireless connection. I have an Intel
>> Wireless 4965 card and I use WPA personal with AES encryption. After a
>> git-bisect run, it seems the first bad commit is the following:
>>
>> commit 175f9c1bba9b825d22b142d183c9e175488b260c
>> Author: Jussi Kivilinna <[email-masked]>
>> Date:   Sun Jul 20 00:08:47 2008 -0700
>>
>>     net_sched: Add size table for qdiscs
>>
>>     Add size table functions for qdiscs and calculate packet size in
>>     qdisc_enqueue().
>>
>>     Based on patch by Patrick McHardy
>>      http://marc.info/?l=linux-netdev&m=115201979221729&w=2
>>
>>
>>     
>
> A whole pile of networking patches went into mainline about 12 hours
> ago, one of which might have fixed this.  Can you please test
> 2.6.26-git10 once it has appeared and let us know the result?
>
>
> Thanks.
>
>
>   

The problem still occurs with 2.6.26-git-10. But if I use a static 
address instead of DHCP, the connection work. DHCP also work with my 
ethernet card (a Marvell yukon which use the sky2 driver). But DHCP 
doesn't work with my wireless connection using the iwl4965 driver. As I 
said, my router offer several time a correct IP adress but it is not 
accepted by my computer. I don't use traffic shaping (see my iptables 
rules). Furthermore, the problem still occurs if I disable iptables.
Does anybody have an idea to solve the problem ?

Thanks for your help,
François

P.S: why don't you want to use the bugzilla interface ?
--
To unsubscribe from this list: send the line "unsubscribe linux-wireless" in
the body of a message to [email-masked]
More majordomo info at  http://vger.kernel.org/majordomo-info.html